function hmax=hmax_euler(A)
% hmax_euler
% Beregning av maksimal skrittlengde ved bruk
% av eksplisitt Euler for simulering av system
% dot(x)=Ax der A =[alpha,-beta;beta,alpha] har
% komplekskomjugert egenverdipar, l=alpha +- j beta.
l=eig(A);
hmax=2*abs(real(l(1)))/(real(l(1))^2+imag(l(1))^2);