% data.m
% m-file for defining the parameters in the damped spring system.
g=9.81;            % acceleration of gravity.
k=2;               % spring constant.
mu=0.5;            % damping coefficient.
x0=1;              % spring position at steady state.
m=5;               % mass.
x_0=1.5;           % initial value for the position, x.
v_0=0;             % initial value for the velocity, v.
F=0;               % force.