% ex_for
% Example for using a for-loop for generating a time series vector
% t=[0 0.1 0.2 ... 150]
t0=0; tf=150; h=0.1;      % Define step length,h, and first and final element in, t.
N=(tf-t0)/h+1;            % Number of elements in vector, t.
t=zeros(N,1);             % define space for an (N x 1) matrix, i.e., space for, t.

w=t0;                     % a "work" variable for the counter.
for i=1:N                 % i is denoted the values, 1,2,3,...,N
   t(i)=w;                % Store w in the vector, t.
   w=w+h;                 % Update the work variable.
end   

