% ex_opc_plt
% Funksjon for plotting av resultatene fra optimal-reguleringsproblem.

a=-0.5; b=1; 
g=-0.9005; g0=-0.5;

h=0.01;
t=0:h:7;

y0=lsim(a+b*g0,0,1,0,t,t,5);
y=lsim(a+b*g,0,1,0,t,t,5);

plot(t,y,'r-',t,y0,'b--')
grid
text(2,0.8,'\it g=-0.5')
text(0.5,0.3,'\it g = -0.9005')
legend('\it Optimal loesning: g = -0.9005','\it Suboptimal loesning: g0 = -0.5')
ylabel('\it x(t)')
xlabel('0 \leq \it t \leq 7')
title('Loesning av optimalreguleringsproblem')

print -deps ex_opc_fig