% fig_pendel.m
% Simulering og plotting av pendel-modell.

[t,x]=ode15s('fx_pendel',[0 150],[pi/2 0]);
clf
subplot(211), plot(t,x(:,1)), grid
text(110,1.3,'x(1)=\theta')
ylabel('x(1)')
title('Simulering av pendel-modell med ode15s')
subplot(212), plot(t,x(:,2)), grid
text(110,1.3,'x(2)=dot(\theta)')
ylabel('x(2)')
xlabel('0 \leq \it t \leq 150 [ \it sec]')