% plt_obfunc.m
% Visualisering av optimalkriterium, J(g)


gx=-5:0.01:-0.01; nx=length(gx);
Jy=zeros(nx,1);
for x=1:nx
    g=gx(x);
    J=obfunc(g);     
    Jy(x,1)=J;
end

clf
plot(gx,Jy), grid
title('Visualisering av J(g)')
xlabel('g-akse'), ylabel('J-akse')

text(-4,85,'Funksjonen har minimum for \it g=-0.9050')
text(-4,75,'Minimumsverdien av kriteriet er \it J(-0.9050)=22.6247')
